package com.ensign.crm.framework.common.enums;

import com.ensign.crm.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * @Classname CrmFunction
 * @Description TODO
 * @Date 2024/10/9 16:21
 * @Created by violet
 */


@AllArgsConstructor
@Getter
public enum CrmFunctionEnum implements IntArrayValuable {
    FACTORY_BACKSTAGE(1, "厂家后台"),
    REGIONAL_MANAGER(2, "区域经理"),
    BUSINESS_MANAGER(3, "业务经理");


    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(CrmFunctionEnum::getValue).toArray();

    /**
     * 类型
     */
    private final Integer value;
    /**
     * 类型名
     */
    private final String name;



    @Override
    public int[] array() {
        return ARRAYS;
    }
}
